> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Registrations

> Retrieve all registrations for a specific Magic event, including user details, decklists, and queue group information. Results are ordered by registration completion time.



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/magic-events/{id}/registrations/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/magic-events/{id}/registrations/:
    get:
      tags:
        - magic-events
      summary: Get Event Registrations
      description: >-
        Retrieve all registrations for a specific Magic event, including user
        details, decklists, and queue group information. Results are ordered by
        registration completion time.
      operationId: magic_events_registrations_list
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserEventStatusSlim'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    UserEventStatusSlim:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        user_identifier:
          type: string
          readOnly: true
        registration_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/UserEventRegistrationStatus'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        registration_completed_datetime:
          type: string
          format: date-time
          nullable: true
        waitlisted_datetime:
          type: string
          format: date-time
          nullable: true
        mark_as_paid:
          type: boolean
        stripe_payment_intent_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/StripePaymentIntentStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        paypal_order_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PaypalOrderStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        payment_method:
          $ref: '#/components/schemas/PaymentMethodEnum'
        matches_won:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_lost:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_drawn:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        total_match_points:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        queue_check_in_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/QueueCheckInStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        queue_group_role:
          allOf:
            - $ref: '#/components/schemas/inline_serializer'
          nullable: true
        internal_notes:
          type: string
          nullable: true
        fixed_seat:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        has_byes_for_round_numbers:
          type: array
          items:
            type: integer
            maximum: 2147483647
            minimum: -2147483648
          nullable: true
        using_paper_decklist:
          type: boolean
        user:
          $ref: '#/components/schemas/inline_serializer'
        decklist:
          allOf:
            - $ref: '#/components/schemas/inline_serializer'
          nullable: true
        magic_event:
          type: integer
        final_place_in_standings:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        paypal_order_id:
          type: string
          nullable: true
          maxLength: 255
      required:
        - id
        - magic_event
        - user
        - user_identifier
    UserEventRegistrationStatus:
      enum:
        - IN_PROGRESS
        - IN_WAITING_ROOM
        - ON_WAITLIST
        - MOVED_TO_CHILD_EVENT
        - COMPLETE
        - CANCELED
        - DROPPED
        - DISQUALIFIED
        - ELIMINATED
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `IN_WAITING_ROOM` - In Waiting Room
        * `ON_WAITLIST` - On Waitlist
        * `MOVED_TO_CHILD_EVENT` - Moved to Child Event
        * `COMPLETE` - Complete
        * `CANCELED` - Canceled
        * `DROPPED` - Dropped
        * `DISQUALIFIED` - Disqualified
        * `ELIMINATED` - Eliminated
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    StripePaymentIntentStatusEnum:
      enum:
        - SUCCEEDED
        - PROCESSING
        - PAYMENT_FAILED
        - REQUIRES_CAPTURE
        - REFUNDED
      type: string
      description: |-
        * `SUCCEEDED` - Succeeded
        * `PROCESSING` - Processing
        * `PAYMENT_FAILED` - Payment Failed
        * `REQUIRES_CAPTURE` - Requires Capture
        * `REFUNDED` - Refunded
    PaypalOrderStatusEnum:
      enum:
        - CREATED
        - SAVED
        - APPROVED
        - VOIDED
        - COMPLETED
        - PAYER_ACTION_REQUIRED
      type: string
      description: |-
        * `CREATED` - Created
        * `SAVED` - Saved
        * `APPROVED` - Approved
        * `VOIDED` - Voided
        * `COMPLETED` - Completed
        * `PAYER_ACTION_REQUIRED` - Payer Action Required
    PaymentMethodEnum:
      enum:
        - STRIPE
        - PAYPAL
      type: string
      description: |-
        * `STRIPE` - Stripe
        * `PAYPAL` - PayPal
    QueueCheckInStatusEnum:
      enum:
        - WAITING_FOR_CHECK_IN_REQUEST
        - STANDBY
        - WAITING_FOR_PLAYER_RESPONSE
        - CHECKED_IN
        - DECLINED
        - TIMED_OUT
      type: string
      description: |-
        * `WAITING_FOR_CHECK_IN_REQUEST` - Waiting for Check-In Request
        * `STANDBY` - Standby
        * `WAITING_FOR_PLAYER_RESPONSE` - Waiting for Player Response
        * `CHECKED_IN` - Checked In
        * `DECLINED` - Declined
        * `TIMED_OUT` - Timed Out
    inline_serializer:
      type: object
      properties:
        id:
          type: integer
        captain:
          type: boolean
        queue_group:
          $ref: '#/components/schemas/inline_serializer'
      required:
        - captain
        - id
        - queue_group
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````